const description = "This is description...";

// fill some sample data
let data = "";
for (let i = 0; i < 10 * 10000; i++) {
    const value = Math.sin(i / 10000 * Math.PI); 
    // CSV
    data += value + "\n";
}

const samplingRate = 10000;

const offset = 0;
const scale = 1;

const unit = "voltage"; // voltage, current, power

const color = "blue";
const colorInverse = "cyan";

const label = "This is label...";

const timeScale = 1;
const channelScale = 1;

session.addChart({
    description,
    data,
    samplingRate,
    offset,
    scale,
    format: 4, // CSV string
    unit,
    color,
    colorInverse,
    label,
    viewOptions: {
        axesLines: {
            type: "fixed",
            majorSubdivision: {
                horizontal: 12,
                vertical: 8
            },
            minorSubdivision: {
                horizontal: 5,
                vertical: 5
            }
        }
    },
    horizontalScale: timeScale,
    verticalScale: channelScale
});
